<?xml version="1.0" encoding="utf-8"?>
<resources>
<!--    tab的样式禁止大写-->
    <style name="NoCapsTabTextAppearance" parent="TextAppearance.Design.Tab">
        <item name="textAllCaps">false</item>
        <item name="android:textAllCaps">false</item>
        <item name="android:textSize">14sp</item>
    </style>

    <!-- Dashboard面板 -->

    <!-- 页面上每个模块的模块名字-->
    <style name="TextModuleTitle" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">@dimen/size_module_title</item>
        <item name="android:textColor">@color/module_title_color</item>
        <item name="fontFamily">@font/pingfang_regular</item>
    </style>

    <!-- CPU status 内容显示-->
    <style name="TextCPUContent" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">23sp</item>
        <item name="android:textColor">@color/dialog_value_color</item>
        <item name="android:textStyle">bold</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <!--        <item name="android:fontFamily">sans-serif</item> &lt;!&ndash; 老版本 fallback &ndash;&gt;-->
    </style>

    <!-- 模块通用内容显示-->
    <style name="TextContent" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">16sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">normal</item>
        <item name="android:textColor">@color/dialog_value_color</item>
        <!--        <item name="fontFamily">@font/semibold</item>-->
    </style>

    <!-- 模块大字号-->
    <style name="TextBig" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">21sp</item>
        <item name="android:textColor">@color/module_title_color</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
<!--        <item name="fontFamily">@font/semibold</item>-->
        <item name="android:textStyle">normal</item>
    </style>

    <!-- 首页弹窗内容副标题-->
    <style name="TextDialogSubTitle" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">20sp</item>
        <item name="android:textColor">@color/module_title_color</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">bold</item>

    </style>
    <!-- 首页弹窗内容的左边标题-->
    <style name="TextDialogLabel" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">17sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/dialog_label_color</item>
    </style>

    <!-- 首页弹窗内容的右边内容-->
    <style name="TextDialogContent" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">16sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/dialog_value_color</item>

    </style>
    <!-- 首页弹窗Cancel-->
    <style name="TextBtnTitle" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">19sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/module_title_color</item>
        <!--        <item name="android:fontFamily">sans-serif</item> &lt;!&ndash; 老版本 fallback &ndash;&gt;-->
    </style>

    <!--右边内容字体-->
    <style name="TextContentRight" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">19sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">normal</item>
        <item name="android:textColor">@color/right_color</item>
        <!--        <item name="fontFamily">@font/semibold</item>-->
    </style>
    <!-- 判断框字体-->
    <style name="TextCheck" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">19sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/check_color</item>
        <!--        <item name="fontFamily">@font/semibold</item>-->
    </style>
    <!-- Dialog标题-->
    <style name="TextDialog" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">21sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textColor">@color/dialog_value_color</item>
        <item name="android:textStyle">bold</item>
    </style>
    <!--小字体-->
    <style name="TextContentSmall" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">12sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textColor">@color/dialog_value_color</item>
        <!--        <item name="fontFamily">@font/semibold</item>-->
    </style>
    <!-- 超大字号-->
    <style name="TextMaxBig" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">48sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textColor">@color/module_title_color</item>
        <!--        <item name="fontFamily">@font/semibold</item>-->
        <item name="android:textStyle">bold</item>
    </style>
    <!-- systemDevice标题-->
    <style name="TextDeviceBig" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">26sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textColor">@color/module_title_color</item>
        <!--        <item name="fontFamily">@font/semibold</item>-->
        <item name="android:textStyle">normal</item>
    </style>
    <!-- systemLogo标题-->
    <style name="TextDeviceLogo">
        <item name="android:textSize">21sp</item>
        <item name="android:textColor">@color/black</item>
        <item name="fontFamily">@font/pingfang_bold</item>
        <!--        <item name="fontFamily">@font/semibold</item>-->
        <item name="android:textStyle">normal</item>
    </style>
    <!-- 电池电量标题-->
    <style name="TextBatteryLogo">
        <item name="android:textSize">44sp</item>
        <item name="android:textColor">@color/module_title_color</item>
        <item name="fontFamily">@font/pingfang_bold</item>
        <!--        <item name="fontFamily">@font/semibold</item>-->
        <item name="android:textStyle">normal</item>
    </style>
<!--    size37-->
    <style name="TextSize37">
        <item name="android:textSize">37sp</item>
        <item name="android:textColor">@color/module_title_color</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
    </style>
<!--    size28-->
    <style name="TextSize28">
        <item name="android:textSize">28sp</item>
        <item name="android:textColor">@color/module_title_color</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
    </style>
    <!-- system副标题-->
    <style name="TextSecondaryTitle" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">17sp</item>
        <item name="android:textColor">@color/module_title_color</item>
        <item name="android:textStyle">bold</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <!--        <item name="android:fontFamily">sans-serif</item> &lt;!&ndash; 老版本 fallback &ndash;&gt;-->
    </style>
<!--    电量右边字体-->
    <style name="TextButteryRight" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">19sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/module_title_color</item>
        <!--        <item name="fontFamily">@font/semibold</item>-->
    </style>
    <!--    wifi右边字体-->
    <style name="TextWifiRight" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">30sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/module_title_color</item>
    </style>
    <!-- tool左边字体-->
    <style name="TextTool21">
        <item name="android:textSize">21sp</item>
        <item name="android:textColor">@color/dialog_value_color</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textStyle">bold</item>
    </style>
<!--    工具大字体-->
    <style name="TextTool25" >
        <item name="android:textSize">25sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textColor">@color/module_title_color</item>
        <item name="android:textStyle">bold</item>
    </style>
    <style name="PopupAnimation" parent="android:Animation">
        <item name="android:windowEnterAnimation">@anim/popup_enter</item>
        <item name="android:windowExitAnimation">@anim/popup_exit</item>
    </style>

    <!-- 自定义 DialogFragment 的样式 -->
    <style name="BottomSheetDialogStyle" parent="Theme.AppCompat.Light.Dialog">
        <item name="android:windowIsFloating">false</item> <!-- 使对话框全屏显示 -->
        <item name="android:windowSoftInputMode">stateAlwaysHidden</item> <!-- 隐藏软键盘 -->
    </style>



    <!-- 二编自定义 Text的样式 -->
    <!-- 自定义 侧边栏 的样式 -->
    <style name="SlideInLeftAnimation">
        <item name="android:windowEnterAnimation">@anim/slide_in_left</item>
        <item name="android:windowExitAnimation">@anim/slide_out_left</item>
    </style>
    <!-- 首页标题appname-->
    <style name="TextTitleBig">
        <item name="android:textSize">22sp</item>
        <item name="fontFamily">@font/alimama_heiti</item>
        <item name="android:textColor">@color/module_title_color</item>
    </style>
    <!-- 首页机型标题-->
    <style name="TextYellow">
        <item name="android:textSize">16sp</item>
        <item name="android:textColor">@color/yellow_color</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
    </style>
    <!-- 首页内容-->
    <style name="TextWhite">
        <item name="android:textSize">14sp</item>
        <item name="android:textColor">@color/white</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
    </style>
    <!-- 首页内容标准-->
    <style name="TextWhiteNormal">
        <item name="android:textSize">12sp</item>
        <item name="android:textColor">@color/white</item>
        <item name="fontFamily">@font/pingfang_regular</item>
    </style>
<!--    小标题字体-->
    <style name="TextHeavy20" parent="TextAppearance.Material3.BodyLarge">
        <item name="android:textSize">20sp</item>
        <item name="fontFamily">@font/pingfang_heavy_0</item>
        <item name="android:textColor">@color/module_title_color</item>
    </style>

    <!-- 左边内容字体-->
    <style name="LeftContent" parent="TextAppearance.Material3.BodyLarge">
    <item name="android:textSize">14sp</item>
    <item name="fontFamily">@font/pingfang_bold</item>
    <item name="android:textColor">@color/left_color</item>
    </style>
</resources>